---
title: '`glab cluster agent update-kubeconfig`'
stage: Create
group: Code Review
info: To determine the technical writer assigned to the Stage/Group associated with this page, see <https://handbook.gitlab.com/handbook/product/ux/technical-writing/#assignments>
---

<!--
This documentation is auto generated by a script.
Please do not edit this file directly. Run `make gen-docs` instead.
-->

Update selected kubeconfig.

## Synopsis

Update selected `kubeconfig` for use with a GitLab agent for Kubernetes.

```plaintext
glab cluster agent update-kubeconfig [flags]
```

## Options

```plaintext
  -a, --agent int                        The numeric agent ID to create the kubeconfig entry for.
  -c, --cache-mode string                Mode to use for caching the token. Allowed values: keyring-filesystem-fallback, force-keyring, force-filesystem, no (default "force-keyring")
      --check-revoked                    Check if a cached token is revoked. Requires an API call to GitLab, which adds latency every time a cached token is accessed.
      --kubeconfig string                Use a particular kubeconfig file.
      --token-expiry-duration duration   Duration for generated token's validity. Minimum is 1 day. Expires at end of day, and ignores time. (default 24h0m0s)
  -u, --use-context                      Use as default context.
```

## Options inherited from parent commands

```plaintext
  -h, --help              Show help for this command.
  -R, --repo OWNER/REPO   Select another repository. Can use either OWNER/REPO or `GROUP/NAMESPACE/REPO` format. Also accepts full URL or Git URL.
```
